<?php
/* Calculate Fields Form support functions
------------------------------------------------------------------------------- */

// Theme init priorities:
// 9 - register other filters (for installer, etc.)
if (!function_exists('maxcube_calculated_fields_form_theme_setup9')) {
	add_action( 'after_setup_theme', 'maxcube_calculated_fields_form_theme_setup9', 9 );
	function maxcube_calculated_fields_form_theme_setup9() {

		add_filter( 'maxcube_filter_merge_styles',						'maxcube_calculated_fields_form_merge_styles' );
		
		if (maxcube_exists_calculated_fields_form()) {
			add_action( 'wp_enqueue_scripts', 							'maxcube_calculated_fields_form_frontend_scripts', 1100 );
		}
		if (is_admin()) {
			add_filter( 'maxcube_filter_tgmpa_required_plugins',		'maxcube_calculated_fields_form_tgmpa_required_plugins' );
		}
	}
}

// Filter to add in the required plugins list
if ( !function_exists( 'maxcube_calculated_fields_form_tgmpa_required_plugins' ) ) {
	
	function maxcube_calculated_fields_form_tgmpa_required_plugins($list=array()) {
		if (maxcube_storage_isset('required_plugins', 'calculated-fields-form')) {
			$list[] = array(
					'name' 		=> maxcube_storage_get_array('required_plugins', 'calculated-fields-form'),
					'slug' 		=> 'calculated-fields-form',
					'required' 	=> false
			);
		}
		return $list;
	}
}

// Check if plugin installed and activated
if ( !function_exists( 'maxcube_exists_calculated_fields_form' ) ) {
	function maxcube_exists_calculated_fields_form() {
        return class_exists( 'CP_SESSION' ) || class_exists( 'CPCFF_MAIN' );
	}
}
	
// Enqueue plugin's custom styles
if ( !function_exists( 'maxcube_calculated_fields_form_frontend_scripts' ) ) {
	
	function maxcube_calculated_fields_form_frontend_scripts() {
		// Remove jquery_ui from frontend
		if (maxcube_get_theme_setting('disable_jquery_ui')) {
			global $wp_styles;

			$wp_styles->done[] = 'cpcff_jquery_ui';
		}
	}
}
	
// Merge custom styles
if ( !function_exists( 'maxcube_calculated_fields_form_merge_styles' ) ) {
	
	function maxcube_calculated_fields_form_merge_styles($list) {
		if (maxcube_exists_calculated_fields_form()) {
			$list[] = 'plugins/calculated-fields-form/_calculated-fields-form.scss';
		}
		return $list;
	}
}
?>