<?php
/* elegro Crypto Payment support functions
------------------------------------------------------------------------------- */
// Theme init priorities:
// 9 - register other filters (for installer, etc.)
if ( ! function_exists( 'maxcube_date_time_picker_field_theme_setup9' ) ) {
    add_action( 'after_setup_theme', 'maxcube_date_time_picker_field_theme_setup9', 9 );
    function maxcube_date_time_picker_field_theme_setup9() {
        if ( maxcube_exists_date_time_picker_field() ) {
           /* add_action('wp_enqueue_scripts', 'maxcube_date_time_picker_field_frontend_scripts', 1100);*/
            add_filter( 'maxcube_filter_merge_styles', 'maxcube_date_time_picker_field_merge_styles' );
        }
        if ( is_admin() ) {
            add_filter( 'maxcube_filter_tgmpa_required_plugins', 'maxcube_date_time_picker_field_tgmpa_required_plugins' );
        }
    }
}

// Filter to add in the required plugins list
if ( ! function_exists( 'maxcube_date_time_picker_field_tgmpa_required_plugins' ) ) {
    function maxcube_date_time_picker_field_tgmpa_required_plugins( $list = array() ) {
        if (maxcube_storage_isset('required_plugins', 'date-time-picker-field')) {
            $list[] = array(
                'name' 		=> esc_html__('Date Time Picker Field', 'maxcube'),
                'slug'     => 'date-time-picker-field',
                'required' => false,
            );
        }
        return $list;
    }
}

// Check if this plugin installed and activated
if ( ! function_exists( 'maxcube_exists_date_time_picker_field' ) ) {
    function maxcube_exists_date_time_picker_field() {
        return defined('ABSPATH');
    }
}


// Merge custom styles
if ( !function_exists( 'maxcube_date_time_picker_field_merge_styles' ) ) {
    function maxcube_date_time_picker_field_merge_styles($list) {
        if (maxcube_exists_date_time_picker_field()) {
            $list[] = 'plugins/date-time-picker-field/_date-time-picker-field.scss';
        }
        return $list;
    }
}