<?php
/* QuickCal support functions
------------------------------------------------------------------------------- */

// Theme init priorities:
// 9 - register other filters (for installer, etc.)
if ( ! function_exists( 'maxcube_quickcal_theme_setup9' ) ) {
	add_action( 'after_setup_theme', 'maxcube_quickcal_theme_setup9', 9 );
	function maxcube_quickcal_theme_setup9() {
		add_filter( 'maxcube_filter_merge_styles', 'maxcube_quickcal_merge_styles' );
		if ( is_admin() ) {
			add_filter( 'maxcube_filter_tgmpa_required_plugins', 'maxcube_quickcal_tgmpa_required_plugins' );
		}
	}
}

// Filter to add in the required plugins list
if ( ! function_exists( 'maxcube_quickcal_tgmpa_required_plugins' ) ) {
	
	function maxcube_quickcal_tgmpa_required_plugins( $list = array() ) {
		if ( maxcube_storage_isset( 'required_plugins', 'quickcal' ) ) {
			$path = maxcube_get_file_dir( 'plugins/quickcal/quickcal.zip' );
			if ( ! empty( $path ) || maxcube_get_theme_setting( 'tgmpa_upload' ) ) {
				$list[] = array(
					'name'     => maxcube_storage_get_array( 'required_plugins', 'quickcal' ),
					'slug'     => 'quickcal',					
					'version'  => '1.0.12',
					'source'   => ! empty( $path ) ? $path : 'upload://quickcal.zip',
					'required' => false,
				);
			}			
		}
		return $list;
	}
}


// Check if plugin installed and activated
if ( ! function_exists( 'maxcube_exists_quickcal' ) ) {
	function maxcube_exists_quickcal() {
		return class_exists( 'quickcal_plugin' );
	}
}

// Merge custom styles
if ( ! function_exists( 'maxcube_quickcal_merge_styles' ) ) {
	
	function maxcube_quickcal_merge_styles( $list ) {
		if ( maxcube_exists_quickcal() ) {
			$list[] = 'plugins/quickcal/_quickcal.scss';
		}
		return $list;
	}
}


// Add plugin-specific colors and fonts to the custom CSS
if ( maxcube_exists_quickcal() ) {
	require_once MAXCUBE_THEME_DIR . 'plugins/quickcal/quickcal-styles.php'; }

